package com.abelski.module;

import java.security.Principal;

public class PrincipleImplementation implements Principal, java.io.Serializable 
{
    private String name;

    public PrincipleImplementation(String name) 
	{
		if (name == null)
			throw new NullPointerException("illegal null input...");
		this.name = name;
    }

    public String getName() 
	{
		return name;
    }

    public String toString() 
	{
		return("principle sample implementation");
    }

    public boolean equals(Object other) 
	{
		if (other == null)
		{
			return false;
		}

        if (this == other)
        {
			return true;
		}
 
        if (!(other instanceof PrincipleImplementation))
		{
            return false;
		}

		PrincipleImplementation that = (PrincipleImplementation)other;

		if (this.getName().equals(that.getName()))
	    {
			return true;
		}
		
		return false;
    }
 
    public int hashCode() 
	{
		return name.hashCode();
    }
}
